// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 根据文件id下载文件 根据文件id下载文件 GET /anyone/file/down */
export async function download1(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.download1Params,
  options?: { [key: string]: any }
) {
  return request<any>(`/base/anyone/file/down`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据文件id打包下载文件 根据文件id打包下载文件 GET /anyone/file/download */
export async function download(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.downloadParams,
  options?: { [key: string]: any }
) {
  return request<any>(`/base/anyone/file/download`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据文件id查询文件的临时访问路径 根据文件id查询文件的临时访问路径 POST /anyone/file/findUrlById */
export async function findUrlById(body: number[], options?: { [key: string]: any }) {
  return request<API.RMapLongString>(`/base/anyone/file/findUrlById`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据文件路径查询文件的临时访问路径 根据文件路径查询文件的临时访问路径 POST /anyone/file/findUrlByPath */
export async function findUrlByPath(body: string[], options?: { [key: string]: any }) {
  return request<API.RMapStringString>(`/base/anyone/file/findUrlByPath`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 根据路径查询文件的访问路径 根据路径查询文件的访问路径 GET /anyone/file/getUrlByPath */
export async function getUrlByPath(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getUrlByPathParams,
  options?: { [key: string]: any }
) {
  return request<API.RString>(`/base/anyone/file/getUrlByPath`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 上传文件 上传文件 POST /anyone/file/upload */
export async function upload(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.uploadParams,
  options?: { [key: string]: any }
) {
  return request<API.RFileResultVO>(`/base/anyone/file/upload`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}
